Bug 1535229 - [RFE] Retirements Need a Unique Service ID in Logs and Web UI
Summary: [RFE] Retirements Need a Unique Service ID in Logs and Web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: MVP
: 5.10.0
Assignee: Tina Fitzgerald
QA Contact: Antonin Pagac
URL:
Whiteboard:
Depends On: 1599299
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2018-01-16 21:42 UTC by myoder
Modified: 2019-02-07 23:01 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:10 UTC

Description myoder 2018-01-16 21:42:58 UTC
Description of problem:

Retirements do not currently have Service IDs like Lifecycle and Service Provisioning.  Giving retirements a unique ID will make it easier to track retirements in the logs and/or in the Web UI.


Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

This request is for the CloudForms Support Team to help troubleshoot retirement issues.

Comment 2 Greg McCullough 2018-04-24 20:36:26 UTC
Enhancement done in PR https://github.com/ManageIQ/manageiq/pull/17013

Comment 3 Antonin Pagac 2018-07-09 15:34:22 UTC
Appliance version: 5.10.0.3

"service_template_provision_request" and "service_template_provision_task" and also "miq_provision" are now prefixed with the letter 'r' plus 'request_id'.

However, there is bz 1599299 and I can't verify how it looks upon service retirement, which is what this BZ talks about. Going to mark this as FAILED_QA until the upper mentioned BZ is resolved, then will retest.

Comment 4 Tina Fitzgerald 2018-08-10 10:44:18 UTC
Hi Antonin,

The above referenced BZ has been verified. Can you retest?

Thanks,
Tina

Comment 5 Antonin Pagac 2018-08-16 08:11:01 UTC
appliance version: 5.10.0.8.

"vm_retire_task" and "service_retire_task" are also prefixed. This works fine.

Comment 6 errata-xmlrpc 2019-02-07 23:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.